aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xconfig/hypr/initial-boot.sh2
-rw-r--r--config/hypr/v2.3.10 (renamed from config/hypr/v2.3.9)0
-rw-r--r--config/hypr/wallpaper_effects/.wallpaper_currentbin4770307 -> 13764316 bytes
-rw-r--r--config/hypr/wallpaper_effects/.wallpaper_modifiedbin6840851 -> 13781371 bytes
-rw-r--r--config/waybar/configs/[TOP] Default Laptop_v555
-rw-r--r--config/waybar/configs/[TOP] Default_v42
-rw-r--r--config/waybar/configs/[TOP] Default_v553
-rwxr-xr-xcopy.sh14
-rw-r--r--wallpapers/Garage.jpgbin1017988 -> 0 bytes
-rw-r--r--wallpapers/Lofi - Anime Girl2.pngbin0 -> 13764316 bytes
10 files changed, 118 insertions, 8 deletions
diff --git a/config/hypr/initial-boot.sh b/config/hypr/initial-boot.sh
index 05502bd3..4cde9a47 100755
--- a/config/hypr/initial-boot.sh
+++ b/config/hypr/initial-boot.sh
@@ -10,7 +10,7 @@
# Variables
scriptsDir=$HOME/.config/hypr/scripts
wallpaper=$HOME/.config/hypr/wallpaper_effects/.wallpaper_modified
-waybar_style="$HOME/.config/waybar/style/[Dark] Latte-Wallust combined.css"
+waybar_style="$HOME/.config/waybar/style/[Wallust] Chroma Tally.css"
kvantum_theme="catppuccin-mocha-blue"
color_scheme="prefer-dark"
gtk_theme="Flat-Remix-GTK-Blue-Dark"
diff --git a/config/hypr/v2.3.9 b/config/hypr/v2.3.10
index 31b3414d..31b3414d 100644
--- a/config/hypr/v2.3.9
+++ b/config/hypr/v2.3.10
diff --git a/config/hypr/wallpaper_effects/.wallpaper_current b/config/hypr/wallpaper_effects/.wallpaper_current
index 30f80bf7..4a3515da 100644
--- a/config/hypr/wallpaper_effects/.wallpaper_current
+++ b/config/hypr/wallpaper_effects/.wallpaper_current
Binary files differ
diff --git a/config/hypr/wallpaper_effects/.wallpaper_modified b/config/hypr/wallpaper_effects/.wallpaper_modified
index 8c76007f..b42159e3 100644
--- a/config/hypr/wallpaper_effects/.wallpaper_modified
+++ b/config/hypr/wallpaper_effects/.wallpaper_modified
Binary files differ
diff --git a/config/waybar/configs/[TOP] Default Laptop_v5 b/config/waybar/configs/[TOP] Default Laptop_v5
new file mode 100644
index 00000000..c972b1b4
--- /dev/null
+++ b/config/waybar/configs/[TOP] Default Laptop_v5
@@ -0,0 +1,55 @@
+/* ---- 💫 https://github.com/JaKooLit 💫 ---- */
+
+// ### DEFAULT v5 (Laptop) - Top ### //
+{
+"include": [
+ "$HOME/.config/waybar/Modules",
+ "$HOME/.config/waybar/ModulesWorkspaces",
+ "$HOME/.config/waybar/ModulesCustom",
+ "$HOME/.config/waybar/ModulesGroups",
+ ],
+"layer": "top",
+//"mode": "dock",
+"exclusive": true,
+"passthrough": false,
+"position": "top",
+"spacing": 3,
+"fixed-center": true,
+"ipc": true,
+"margin-top": 3,
+"margin-left": 8,
+"margin-right": 8,
+
+"modules-left": [
+ "group/app_drawer",
+ "custom/separator#dot-line",
+ "group/mobo_drawer",
+ "custom/separator#blank",
+ "group/laptop",
+ "custom/separator#line",
+ "custom/weather",
+ "custom/separator#blank",
+ "custom/cava_mviz",
+ ],
+
+"modules-center": [
+ "custom/swaync",
+ "custom/separator#dot-line",
+ "hyprland/workspaces#rw",
+ "custom/separator#dot-line",
+ "idle_inhibitor",
+ "custom/hint",
+ ],
+
+"modules-right": [
+ "network#speed",
+ "group/connections",
+ "custom/separator#line",
+ "tray",
+ "mpris",
+ "clock",
+ "group/audio",
+ "custom/separator#dot-line",
+ "group/status",
+ ],
+} \ No newline at end of file
diff --git a/config/waybar/configs/[TOP] Default_v4 b/config/waybar/configs/[TOP] Default_v4
index 051aa848..678c2085 100644
--- a/config/waybar/configs/[TOP] Default_v4
+++ b/config/waybar/configs/[TOP] Default_v4
@@ -1,6 +1,6 @@
/* ---- 💫 https://github.com/JaKooLit 💫 ---- */
-// ### DEFAULT v4 (Laptop) - Top ### //
+// ### DEFAULT v4 - Top ### //
{
"include": [
"$HOME/.config/waybar/Modules",
diff --git a/config/waybar/configs/[TOP] Default_v5 b/config/waybar/configs/[TOP] Default_v5
new file mode 100644
index 00000000..3566068c
--- /dev/null
+++ b/config/waybar/configs/[TOP] Default_v5
@@ -0,0 +1,53 @@
+/* ---- 💫 https://github.com/JaKooLit 💫 ---- */
+
+// ### DEFAULT v5 - Top ### //
+{
+"include": [
+ "$HOME/.config/waybar/Modules",
+ "$HOME/.config/waybar/ModulesWorkspaces",
+ "$HOME/.config/waybar/ModulesCustom",
+ "$HOME/.config/waybar/ModulesGroups",
+ ],
+"layer": "top",
+//"mode": "dock",
+"exclusive": true,
+"passthrough": false,
+"position": "top",
+"spacing": 3,
+"fixed-center": true,
+"ipc": true,
+"margin-top": 3,
+"margin-left": 8,
+"margin-right": 8,
+
+"modules-left": [
+ "group/app_drawer",
+ "custom/separator#dot-line",
+ "group/mobo_drawer",
+ "custom/separator#line",
+ "custom/weather",
+ "custom/separator#blank",
+ "custom/cava_mviz",
+ ],
+
+"modules-center": [
+ "custom/swaync",
+ "custom/separator#dot-line",
+ "hyprland/workspaces#rw",
+ "custom/separator#dot-line",
+ "idle_inhibitor",
+ "custom/hint",
+ ],
+
+"modules-right": [
+ "network#speed",
+ "group/connections",
+ "custom/separator#line",
+ "tray",
+ "mpris",
+ "clock",
+ "group/audio",
+ "custom/separator#dot-line",
+ "group/status",
+ ],
+} \ No newline at end of file
diff --git a/copy.sh b/copy.sh
index fe65332b..7490f460 100755
--- a/copy.sh
+++ b/copy.sh
@@ -3,9 +3,9 @@
clear
wallpaper=$HOME/.config/hypr/wallpaper_effects/.wallpaper_modified
-waybar_style="$HOME/.config/waybar/style/[Dark] Latte-Wallust combined.css"
-waybar_config="$HOME/.config/waybar/configs/[TOP] Default_v4"
-waybar_config_laptop="$HOME/.config/waybar/configs/[TOP] Default Laptop_v4"
+waybar_style="$HOME/.config/waybar/style/[Wallust] Chroma Tally.css"
+waybar_config="$HOME/.config/waybar/configs/[TOP] Default_v5"
+waybar_config_laptop="$HOME/.config/waybar/configs/[TOP] Default Laptop_v5"
# Check if running as root. If root, script will exit
if [[ $EUID -eq 0 ]]; then
@@ -609,7 +609,8 @@ if hostnamectl | grep -q 'Chassis: desktop'; then
"$HOME/.config/waybar/configs/[BOT] Default Laptop" \
"$HOME/.config/waybar/configs/[TOP] Default Laptop_v2" \
"$HOME/.config/waybar/configs/[TOP] Default Laptop_v3" \
- "$HOME/.config/waybar/configs/[TOP] Default Laptop_v4" 2>&1 | tee -a "$LOG" || true
+ "$HOME/.config/waybar/configs/[TOP] Default Laptop_v4" \
+ "$HOME/.config/waybar/configs/[TOP] Default Laptop_v5" 2>&1 | tee -a "$LOG" || true
else
# Configurations for a laptop or any system other than desktop
ln -sf "$waybar_config_laptop" "$HOME/.config/waybar/config" 2>&1 | tee -a "$LOG"
@@ -618,7 +619,8 @@ else
"$HOME/.config/waybar/configs/[BOT] Default" \
"$HOME/.config/waybar/configs/[TOP] Default_v2" \
"$HOME/.config/waybar/configs/[TOP] Default_v3" \
- "$HOME/.config/waybar/configs/[TOP] Default_v4" 2>&1 | tee -a "$LOG" || true
+ "$HOME/.config/waybar/configs/[TOP] Default_v4" \
+ "$HOME/.config/waybar/configs/[TOP] Default_v5" 2>&1 | tee -a "$LOG" || true
fi
# additional wallpapers
@@ -626,7 +628,7 @@ echo "$(tput setaf 6) By default only a few wallpapers are copied...$(tput sgr0)
printf "\n"
while true; do
- read -rp "${CAT} Would you like to download additional wallpapers? ${WARN} This is more than >700mb (y/n)" WALL
+ read -rp "${CAT} Would you like to download additional wallpapers? ${WARN} This is more than 800 MB (y/n)" WALL
case $WALL in
[Yy])
echo "${NOTE} Downloading additional wallpapers..."
diff --git a/wallpapers/Garage.jpg b/wallpapers/Garage.jpg
deleted file mode 100644
index 1f9f471a..00000000
--- a/wallpapers/Garage.jpg
+++ /dev/null
Binary files differ
diff --git a/wallpapers/Lofi - Anime Girl2.png b/wallpapers/Lofi - Anime Girl2.png
new file mode 100644
index 00000000..4a3515da
--- /dev/null
+++ b/wallpapers/Lofi - Anime Girl2.png
Binary files differ
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage